PHD2 Profiles failure with 2.4.3.7


#1

Both 2.4.3.7 and earlier ones I tried (about 2.4.3.3) give me the following error when I try to select a PHD2 profile:
"Timeout! Could not refresh PHD2 profiles"
When I run the sequence, it loads PHD2 but then produces this error:
“PHD2 profile “No profile selected” is not valid”. This of course halts my automatic run process.
I have PHD2 2.5.0 installed and 2 profiles defined.


#2

Can’t help much here without logs. In addition, we will need to see the PHD2 debug logs (not the guide logs). I thought I put minimum version checks in for PHD2… maybe I messed that part up. Sounds like you may be using the wrong version of PHD2 to test these features. None of these new PHD2 features will work unless you install the 2.5.0 dev4 (or better) snapshot (not the most recent release). http://openphdguiding.org/development-snapshots/

Please see this post for SGPro logs:


#3

I was definitely using the wrong version, the release version. Just installed Rev 5 and it works fine. thanks. I will send you some logs tomorrow to check out your version checking. I assume your version check is supposed to notify the user that he has the wrong version. That did not happen for me.


#4

Don’t worry about it. That stuff is not logged. This version of PHD2 breaks the normal naming routine (using “dev4” instead of something like “c”. We just need to tweak it to understand both.


www.mainsequencesoftware.com